Đến nội dung


Hình ảnh
- - - - -

Nhờ giúp đỡ: Viết lisp chỉnh sửa kí tự trong text.


  • Please log in to reply
4 replies to this topic

#1 hung37cespk

hung37cespk

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 31 May 2015 - 04:15 PM

Chào các anh chị trong CADViet, em theo dõi diễn đàn cũng đã lâu và đã thu nhận được nhiều điều cực kì bổ ích từ diễn đàn. Đây là lần đầu tiên em post bài, mong nhận được sự giúp đỡ của các anh chị ạ.

Em muốn mọi người viết giúp em lisp chỉnh sửa nội dung text như sau:
1. chọn các text cần thay đổi.

2. Nhập vào kí tự cần thay đổi

3. nhập vào kí tự mong muốn.

tất cả các text sẽ được thay đổi theo.
VD: Chọn tất cả các text có nội dung 2Ø16, thay đổi 16 thành 14 hết trong các text trên, kết quả trả về tất cả là 2Ø14

Cám ơn tất cả các anh chị ạ!


  • 0

#2 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 31 May 2015 - 04:27 PM

Sao bạn không dùng lệnh find?
  • 1

#3 hung37cespk

hung37cespk

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 31 May 2015 - 04:43 PM

Dạ, tại giờ em mới biết lệnh này, em vừa thử. được rồi ạ, lần trước thấy thấy làm bằng llisp rất nhanh mà tìm khắp diễn đàn mình không thấy, em chưa biết gì về lisp cả ạ


  • 0

#4 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 01 June 2015 - 09:47 AM

Dạ, tại giờ em mới biết lệnh này, em vừa thử. được rồi ạ, lần trước thấy thấy làm bằng llisp rất nhanh mà tìm khắp diễn đàn mình không thấy, em chưa biết gì về lisp cả ạ

Hế hế hế,

Muốn lisp thì có isp đây:

(defun c:ttt (/ ss old new)
(vl-load-com)
  (setq old (getstring "\n Nhap chuoi can thay the: ")
          new (getstring "\n Nhap chuoi gia tri thay the: ") )
 (alert "\n Chon cac text can thay the")
 (setq sst (acet-ss-to-list (ssget (list (cons 0 "*text")))))
(foreach a ssl
   (setq txt (cdr (assoc 1 (setq el (entget a))))
             txt (vl-string-translate old new txt) )
   (entmod (subst (cons 1 txt) (assoc 1 el) el))
)
)

  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#5 hung37cespk

hung37cespk

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 02 June 2015 - 12:57 PM

 

Hế hế hế,

Muốn lisp thì có isp đây:

(defun c:ttt (/ ss old new)
(vl-load-com)
  (setq old (getstring "\n Nhap chuoi can thay the: ")
          new (getstring "\n Nhap chuoi gia tri thay the: ") )
 (alert "\n Chon cac text can thay the")
 (setq sst (acet-ss-to-list (ssget (list (cons 0 "*text")))))
(foreach a ssl
   (setq txt (cdr (assoc 1 (setq el (entget a))))
             txt (vl-string-translate old new txt) )
   (entmod (subst (cons 1 txt) (assoc 1 el) el))
)
)

Dạ, lisp bị sai rồi ạ


  • 0